scanner = require('./scanJson.js');
TDparser = require('./topDown.js')
BUparser = require('./bottomUp.js');

tests = ['true',
		 '"crazystring"',
		 '"this string has escapes in it \\" \\\\ \\\/"',
		 '10.34',
		 '982e-10',
		 '1.2e3',
		 '[1,2,3]',
		 '{"x":1,"y":[true,false,null]}',
		 '[{"a":1,"b":2},{"a":[null, null, null],"b":4.5}]']

for (var i = 0; i < tests.length; i++) {
	var tokens = scanner.scanText(tests[i]);
	TDresult = TDparser.parse(tokens);
	console.log('top down: ', JSON.stringify(TDresult));
//	BUresult = BUparser.parse(tokens);
//	console.log('bottom up: ', BUresult);
}